POST ticket/clubcard/payMovieTicket/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayMovieTicketByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| ticketId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "82b0de58-696c-4e69-bab7-b7ac2d2746e5",
"ticketId": "7d3ba617-3c47-4ec2-89de-605f9f7eece4"
}
application/xml, text/xml
Sample:
<PayMovieTicketByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>82b0de58-696c-4e69-bab7-b7ac2d2746e5</clubcardId> <ticketId>7d3ba617-3c47-4ec2-89de-605f9f7eece4</ticketId> </PayMovieTicketByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "348ef5ac-6705-472e-83d2-0efca18a309d",
"paymentId": "6fd31ff8-9db7-47bf-9042-2b1a32374bd9",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>348ef5ac-6705-472e-83d2-0efca18a309d</objectId>
<paymentId>6fd31ff8-9db7-47bf-9042-2b1a32374bd9</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>